import { XMLElem, type IToXML } from "@/util/XmlElem";
export class UALocalizedText implements IToXML{
    constructor(public tagName: string, 
                public text: string,
                public locale: string) {
    }
    toXML(): XMLElem {
        return new XMLElem(this.tagName, this.text).attr('Locale', this.locale);  
    }
    static fromXML(tagName: string, xmlObject: any): UALocalizedText {
        return new UALocalizedText(tagName, xmlObject['#text'], xmlObject['@_Locale']);
    }
}
