import { XMLElem, type IToXML } from "@/util/XmlElem";

export class UARequiredModel implements IToXML{
    constructor(public modelUri: string,
                public xmlSchemaUri: string,
                public version: string,
                public publicationDate: string,
                public modelVersion: string,
                public accessRestrictions: string
                )
    {

    }

    toXML(): XMLElem {
        return new XMLElem('RequiredModel')
                .attr('ModelUri', this.modelUri)
                .attr('XmlSchemaUri', this.xmlSchemaUri)
                .attr('Version', this.version)
                .attr('PublicationDate', this.publicationDate)
                .attr('ModelVersion', this.modelVersion)
                .attr('AccessRestrictions', this.accessRestrictions)
    }

    static fromXML(xmlObject: any): UARequiredModel{
        return new UARequiredModel(xmlObject['@_ModelUri'], xmlObject['@_XmlSchemaUri'],xmlObject['@_Version'], xmlObject['@_PublicationDate'],  xmlObject['@_ModelVersion'], xmlObject['@_AccessRestrictions']);
    }
}