import { test } from 'vitest'
import { AddressSpace } from './ua/AddressSpace'
import { UANodeSet } from './ua/UANodeSet';
import * as fs from 'fs';

test('xml', () => {
    const as=new AddressSpace([]);
    const nodeset2= UANodeSet.parse(fs.readFileSync('public/nodesets/Opc.Ua.NodeSet2.xml', 'utf8'),"NodeSet2",as);
    as.addNodeset(nodeset2);
    const dinodeset2= UANodeSet.parse(fs.readFileSync('public/nodesets/Opc.Ua.Di.NodeSet2.xml', 'utf8'),"Di.NodeSet2",as);
    as.addNodeset(dinodeset2);

    fs.writeFileSync("nodeset2.xml", nodeset2.toXML(nodeset2.nameSpaceTable, as.nst).toString());
    fs.writeFileSync("dinodeset2.xml", dinodeset2.toXML(dinodeset2.nameSpaceTable, as.nst).toString());


})